> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loadforge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tests

> List all the tests on your account

List all the tests on your account, including details such as ID, creation timestamp, name, rate, servers, users, host ID, region, and locustfile.


## OpenAPI

````yaml GET /tests
openapi: 3.1.0
info:
  title: LoadForge API
  description: >-
    The LoadForge API provides programmatic access to create, manage, and run
    load tests on your web applications
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://app.loadforge.com/api/v2
security:
  - bearerAuth: []
paths:
  /tests:
    get:
      description: List all the tests on your account
      responses:
        '200':
          description: Test list response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Test'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Test:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the test
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        name:
          type: string
          description: Name of the test
        rate:
          type: integer
          description: Spawn rate of the virtual users
        servers:
          type: integer
          description: Number of worker servers to launch
        users:
          type: integer
          description: Total virtual users to simulate
        host_id:
          type: integer
          description: ID of the host to test
        region:
          type: string
          description: Region code for the test
        locustfile:
          type: string
          description: The full locustfile content
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````